# Rates

{% hint style="warning" %}
At the moment, you are not able to obtain ARI data from the following Publishers: **Little Hotelier** and **SiteMinder Channel Manager**.
{% endhint %}

## GET /publishers/{publisherCode}/hotels/{hotelCode}/ratePlans/{ratePlanCode}/rates

> Fetch the rates for a rate plan code based on given date range. If fetching rates that are not associated with a rate plan, use the code 'NO\_RATE\_PLAN\_PROVIDED\_SM'.

````json
{"openapi":"3.0.2","info":{"title":"SubscriberX Public API","version":"1.0.0"},"servers":[{"url":"/"}],"security":[{"BearerAuthorization":[]}],"components":{"securitySchemes":{"BearerAuthorization":{"type":"apiKey","name":"Authorization","in":"header","description":"This API uses JWT for Authentication/Authorisation (please see [jwt.io](https://jwt.io) for further details).\n\nThe token can be obtained via the [SMX Subscriber Admin portal](https://exchange.siteminder.com).\n\nThe request header must be in the following format (where 'token' is the encoded JWT string):\n```\nAuthorization: Bearer token\n```\n\nThe decoded JWT must include the following claims for it to be accepted by the API:\n* iat - Token issued time\n* jti - ID of the token\n* aud - Audience of the token. This API expects the value to be 'subscriberx/api'.\n* sub - Subject of the token. This API expects the value to be the code of the subscriber.\n\nExample of JWT claims in a decoded token for the subscriber with code 'subscriberCode':\n```\n{\n  'iat': 1576812219,\n  'jti': 'e07f7327-490c-4dd7-8d63-c1bdd1f93001',\n  'aud': 'subscriberx/api',\n  'sub': 'subscriberCode'\n}\n```\n"}},"parameters":{"publisherCodeParam":{"in":"path","name":"publisherCode","description":"Publisher code","required":true,"schema":{"type":"string","minLength":1,"maxLength":50}},"hotelCodeParam":{"in":"path","name":"hotelCode","description":"Hotel code","required":true,"schema":{"type":"string","minLength":1,"maxLength":255}},"ratePlanCodeParam":{"in":"path","name":"ratePlanCode","description":"Rate plan code","required":true,"schema":{"type":"string","minLength":1,"maxLength":255}}},"schemas":{"Rate":{"type":"object","properties":{"date":{"type":"string","format":"date","description":"Date of the rate"},"currencyCode":{"type":"string","pattern":"^[A-Z]{3}$","description":"ISO 4217 currency codes for the hotel currency"},"roomTypeCode":{"type":"string","description":"Indicates the room type code for this rate"},"ratePlanCode":{"type":"string","description":"Indicates the rate plan code for this rate"},"status":{"$ref":"#/components/schemas/RateStatus"},"minLOS":{"type":"integer","description":"This is the minimum length of stay requirement associated to the rate plan","minimum":1},"maxLOS":{"type":"integer","description":"This is the maximum length of stay requirement associated to the rate plan","minimum":1},"baseGuestAmount":{"type":"array","description":"Indicates the base guest amount","items":{"$ref":"#/components/schemas/BaseGuestAmount"}},"additionalGuestAmounts":{"type":"array","description":"Indicates the additional guest amount for each age qualifier","items":{"$ref":"#/components/schemas/AdditionalGuestAmount"}},"lastModifiedAt":{"type":"string","description":"The last time when this rate was modified","format":"date-time"}},"required":["date","currencyCode","roomTypeCode","ratePlanCode","status","baseGuestAmount"]},"RateStatus":{"type":"string","description":"Indicates for each room code passed for the rate whether it is open or close","enum":["Close","Open"]},"BaseGuestAmount":{"type":"object","description":"Base charge for a given number of guests for a given age qualifying code","properties":{"ageQualifier":{"$ref":"#/components/schemas/AgeQualifier"},"guestCount":{"type":"integer","description":"Number of guests included in the rate amount","minimum":1},"amountBeforeTax":{"type":"number","description":"Rate amount exclusive of tax"},"amountAfterTax":{"type":"number","description":"Rate amount inclusive of tax"}},"required":["ageQualifier","guestCount"]},"AgeQualifier":{"type":"string","description":"Declares the type of guest","enum":["Infant","Child","Adult"]},"AdditionalGuestAmount":{"type":"object","description":"Charges related to additional guests","properties":{"ageQualifier":{"$ref":"#/components/schemas/AgeQualifier"},"amount":{"type":"number","description":"This is the tax exclusive rate amount of additional guests","minimum":0}}},"Error":{"type":"object","description":"Contains information on the error encountered","properties":{"message":{"type":"string","description":"Description of the error"},"name":{"type":"string","description":"Name of the error"}}}},"responses":{"BadRequest":{"description":"One or more inputs in the request are invalid","headers":{"X-SM-REFERENCE-ID":{"description":"The reference ID used for the request","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}},"NotAuthorised":{"description":"Not Authorised","headers":{"X-SM-REFERENCE-ID":{"description":"The reference ID used for the request","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Error"}]}}}},"AccessDenied":{"description":"Do not have access to the specified resource","headers":{"X-SM-REFERENCE-ID":{"description":"The reference ID used for the request","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Error"}]}}}},"NotFound":{"description":"Resource does not exist","headers":{"X-SM-REFERENCE-ID":{"description":"The reference ID used for the request","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Error"}]}}}},"MethodNotAllowed":{"description":"Operation not supported by the requested resources","headers":{"X-SM-REFERENCE-ID":{"description":"The reference ID used for the request","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Error"}]}}}},"TooManyRequests":{"description":"Exceeded API quota for the time period","headers":{"X-SM-REFERENCE-ID":{"description":"The reference ID used for the request","schema":{"type":"string"}},"RETRY-AFTER":{"description":"The time in seconds to retry after","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Error"}]}}}},"InternalServerError":{"description":"Internal Server Error","headers":{"X-SM-REFERENCE-ID":{"description":"The reference ID used for the request","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Error"}]}}}}}},"paths":{"/publishers/{publisherCode}/hotels/{hotelCode}/ratePlans/{ratePlanCode}/rates":{"get":{"description":"Fetch the rates for a rate plan code based on given date range. If fetching rates that are not associated with a rate plan, use the code 'NO_RATE_PLAN_PROVIDED_SM'.","tags":["Rate Plans","Rates"],"parameters":[{"$ref":"#/components/parameters/publisherCodeParam"},{"$ref":"#/components/parameters/hotelCodeParam"},{"$ref":"#/components/parameters/ratePlanCodeParam"},{"in":"query","name":"startDate","description":"Start date to query for rates","required":true,"schema":{"type":"string","format":"date"}},{"in":"query","name":"range","description":"The number of days to query for","schema":{"type":"number","minimum":1,"maximum":30,"default":1}}],"responses":{"200":{"description":"OK","headers":{"X-SM-REFERENCE-ID":{"description":"The reference ID used for the request","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Rate"}}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/NotAuthorised"},"403":{"$ref":"#/components/responses/AccessDenied"},"404":{"$ref":"#/components/responses/NotFound"},"405":{"$ref":"#/components/responses/MethodNotAllowed"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}}}
````

{% hint style="success" icon="sparkles" %}

## Still have questions?

Use the <i class="fa-gitbook-assistant">:gitbook-assistant:</i> **Ask** button at the top of the page to chat with our AI assistant — it can help you navigate the guide, understand requirements, and troubleshoot issues.

If you need more support, visit [Integration Support](/integration-support/integration-support.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.siteminder.com/smx-api/reference/availability-and-rates/rates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
